summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index ca494353..20004516 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1167,7 +1167,7 @@ run_split_packaging() {
backup_package_variables
run_package $pkgname
tidy_install
- lint_package
+ lint_package || exit 1
create_package
create_debug_package
restore_package_variables
@@ -1605,7 +1605,7 @@ if (( INFAKEROOT )); then
run_package
fi
tidy_install
- lint_package
+ lint_package || exit 1
create_package
create_debug_package
else